%define ver_major 2.4
%def_with libexif
%def_with gphoto

Name: gthumb
Version: %ver_major.0
Release: alt1

Summary: An image viewer and browser for GNOME
Summary(ru_RU.UTF-8): Просмотрщик изображений и фотоальбом для GNOME
License: GPL
Group: Graphics
Url: http://gthumb.sourceforge.net/

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: %name-2.3.3-ru.po.bz2
#Patch: %name-2.3.1-alt-i18nfix.patch

%define gphoto_ver 2.1.3
%define exif_ver 0.5.12
%define glib_ver 2.4.1
%define gtk_ver 2.4.1
%define libxml2_ver 2.5.6
%define libgnome_ver 2.6.1.1
%define libgnomeui_ver 2.6.1
%define gnome_vfs_ver 2.6.1.1
%define glade_ver 2.4.0
%define libgnomeprint_ver 2.6.1
%define libgnomeprintui_ver 2.6.1
%define libbonobo_ver 2.6.1
%define libbonoboui_ver 2.6.1
%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.6.0
%define gnome_common_ver 2.4.0

Requires(post): GConf2 >= %GConf_ver
Requires(post,postun): scrollkeeper >= %scrollkeeper_ver

%if_with libexif
Requires: libexif >= %exif_ver
%endif

%if_with gphoto
Requires: libgphoto2 >= %gphoto_ver
%endif

Requires: glib2 >= %glib_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libxml2 >= %libxml2_ver
Requires: libgnome >= %libgnome_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libglade2 >= %glade_ver
Requires: libgnomeprint2 >= %libgnomeprint_ver
Requires: libgnomeprintui >= %libgnomeprintui_ver
Requires: libbonobo2 >= %libbonobo_ver
Requires: libbonoboui >= %libbonoboui_ver

BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: gnome-common >= %gnome_common_ver

%if_with libexif
BuildPreReq: libexif-devel >= %exif_ver
%endif

%if_with gphoto
BuildPreReq: libgphoto2-devel >= %gphoto_ver
%endif

BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libgnomeprint2-devel >= %libgnomeprint_ver
BuildPreReq: libgnomeprintui-devel >= %libgnomeprintui_ver
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver

# Automatically added by buildreq on Sat May 29 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound flex fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel indent libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libexif-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgphoto2-devel libgtk+2-devel libjpeg-devel libpango-devel libpng-devel libpopt-devel libstdc++-devel libtiff-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper zlib-devel

#BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound flex fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel indent libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libexif-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgphoto2-devel libgtk+2-devel libjpeg-devel libpango-devel libpng-devel libpopt-devel libtiff-devel libxml2-devel pkgconfig scrollkeeper zlib-devel
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound flex fontconfig freetype2
BuildRequires: glib2-devel glibc-devel-static gnome-vfs2-devel indent libGConf2-devel
BuildRequires: libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel
BuildRequires: libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel
BuildRequires: libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel
BuildRequires: libjpeg-devel libpango-devel libpng-devel libpopt-devel libtiff-devel libxml2-devel
BuildRequires: pkgconfig scrollkeeper zlib-devel

%description
gThumb lets you browse your hard disk, showing thumbnails of image
files. It also lets view single files (including GIF animations),
add comments to images, organize images in catalogs, print images, view
slideshows, set desktop background, and more.

%description -l ru_RU.UTF-8
gThumb позволяет просматривать содержимое жёсткого диска, показывая
уменьшенные копии содержимого графических файлов. Также программа
позволяет просматривать отдельные изображения (включая мультфильмы в
формате GIF), добавлять комментарии к картинкам, раскладывать картинки
по каталогам, печатать, автоматически пролистывать серии картинок,
менять фон рабочего стола и многое другое.

%define _libexecdir %_libdir/%name
%add_findprov_lib_path %_libexecdir

%prep
%setup -q
#%patch -p1 -b .i18n
bzcat %SOURCE1 > po/ru.po

%build
%if 0
%__rm -f missing
intltoolize --copy --force
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__autoconf
%__automake -a -c -f
%endif

%configure --disable-static \
	--disable-schemas-install
%make_build

%install
%make_install DESTDIR=%buildroot install

# menu
%__mkdir_p %buildroot%_menudir
gnomedesktop2mdkmenu.pl "%name" "Multimedia/Graphics" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove non-packaged files
%__rm -f %buildroot%_libexecdir/modules/*.la

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%dir %_libexecdir
%_libexecdir/*.so
%_libexecdir/%name-*
%dir %_libexecdir/modules
%_libexecdir/modules/*.so
%_libdir/bonobo/servers/*
%_datadir/applications/*
%_datadir/application-registry/*
%_datadir/gnome-2.0/ui/*
%_datadir/%name
%_datadir/pixmaps/*
%_man1dir/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Sat May 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Thu May 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1.1
- updated translations by slava@.

* Fri Apr 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Mon Feb 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt2
- build with gphoto2 support.
- new translation, i18n fix, summary and description in UTF-8 by slava.

* Tue Feb 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Fri Dec 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Thu Dec 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.9-alt1
- 2.1.9

* Mon Nov 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.8-alt1
- 2.1.8

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.7-alt1
- 2.1.7

* Mon Sep 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Wed Jul 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3
- ru.po by slava.

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- go to gnome2.
- Patch for building with libgnomeprint2-2.2 by AVL.

* Thu Jun 13 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.13-alt1
- ALTLinux build.
